Ir al contenido

Editar cliente

Edita nombre, razón social, correo o teléfono. Solo los campos enviados se modifican.

PATCHhttps://api.kuti.pe/v1/customers/{id}
El tipo (INDIVIDUAL/COMPANY) y el documento no se pueden cambiar. Enviar "" borra el valor.

Parámetros del body

id
stringrequerido
Id del customer en el path.Ej: cus_01J8Z3K4M5N6P7Q8R9S0T1U2V3
first_name
stringopcional
Nombres.Ej: María
last_name
stringopcional
Apellidos.Ej: López Torres
company_name
stringopcional
Razón social (COMPANY).
email
stringopcional
Correo.Ej: maria.lopez@example.com
phone
stringopcional
Teléfono E.164.Ej: +51987654321

Language

Credentials

Header

Authorization

Secret key de developer · ejemplos con librerías estándar (aún sin SDK)

cURL Request
curl -s 'https://api.kuti.pe/v1/customers/cus_01J8Z3K4M5N6P7Q8R9S0T1U2V3' \
  -X PATCH \
  -H 'Authorization: Bearer kuti_live_…' \
  -H 'Content-Type: application/json' \
  -d '{
  "last_name": "López Torres",
  "email": "maria.lopez@example.com",
  "phone": "+51987654321"
}'
Librería estándar · sin SDK propio
Response

Elige un ejemplo de respuesta:

application/json
200OK
{
  "success": true,
  "message": "Customer updated",
  "data": {
    "id": "cus_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "merchant_id": "mer_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "external_id": "cust_erp_4821",
    "type": "INDIVIDUAL",
    "first_name": "María",
    "last_name": "López Torres",
    "document": {
      "country": "PE",
      "type": "DNI",
      "value": "45678912"
    },
    "email": "maria.lopez@example.com",
    "phone": "+51987654321",
    "created_at": "2026-09-04T10:48:59.556906Z"
  }
}